Subject: bug#62482: Unclear configure errors about "gl_PROG_CC_C99" and "gl_EARLY"

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Mar 2023 16:54:08 +0300

tags 62482 notabug
thanks

> Date: Mon, 27 Mar 2023 08:55:14 +0000
> From: [email-masked]
> 
> Hello,
> 
> beside I'm interested into how to solve that problem (what is IMHO 
> off-topic on that list) this message main intention is a bug report to 
> improve the output of a configure script.
> 
> I have this two errors (?) running "configure". It is unclear what they 
> are mean. Even if I look into the "configure" script the meaning is 
> unclear to me.
> 
>      ./configure: line 5063: gl_PROG_CC_C99: command not found
>      ./configure: line 5196: gl_EARLY: command not found
> 
> Please improve the output of the script to make it easier to understand 
> it for the users, to prevent further support questions and lower the 
> workload for emacs "support channels".
> 
> To reproduce:
> 
> I cloned from git and switch to "emacs-29" branch. The machine is a 
> Raspberry Pi4 with Debian 11 (pure Debian, not rasbian).
> 
> Because the configure script is missing (bug-report exists) I checked 
> the content of "configure.ac". It points out to use "autoconf" to 
> generate such a script. I did.
> 
> $ autoconf
> configure.ac:55: error: possibly undefined macro: AS_ECHO
>        If this token and others are legitimate, please use 
> m4_pattern_allow.
>        See the Autoconf documentation.
> configure.ac:1777: error: possibly undefined macro: m4_default

Please read INSTALL.REPO, which tells you to run ./autogen.sh script
instead.  Then such errors ought not to happen.